Package com.independentsoft.graph.files

# Class DriveItemPropertyName

java.lang.Object
com.independentsoft.graph.files.DriveItemPropertyName

public class DriveItemPropertyName extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `AUDIO_PROPERTIES`
  `static String`
  `C_TAG`
  `static String`
  `CREATED_BY`
  `static String`
  `CREATED_TIME`
  `static String`
  `DELETED_PROPERTIES`
  `static String`
  `DESCRIPTION`
  `static String`
  `E_TAG`
  `static String`
  `FILE_PROPERTIES`
  `static String`
  `FILE_SYSTEM_INFO`
  `static String`
  `FOLDER_PROPERTIES`
  `static String`
  `ID`
  `static String`
  `IMAGE_PROPERTIES`
  `static String`
  `LAST_MODIFIED_BY`
  `static String`
  `LAST_MODIFIED_TIME`
  `static String`
  `LOCATION`
  `static String`
  `NAME`
  `static String`
  `PACKAGE_PROPERTIES`
  `static String`
  `PARENT_REFERENCE`
  `static String`
  `PENDING_OPERATIONS`
  `static String`
  `PHOTO_PROPERTIES`
  `static String`
  `PUBLICATION_PROPERTIES`
  `static String`
  `REMOTE_ITEM_PROPERTIES`
  `static String`
  `ROOT_PROPERTIES`
  `static String`
  `SEARCH_RESULT_PROPERTIES`
  `static String`
  `SHARE_POINT_IDS`
  `static String`
  `SHARED`
  `static String`
  `SIZE`
  `static String`
  `STANDARD_FOLDER`
  `static String`
  `VIDEOPROPERTIES`
  `static String`
  `WEB_DAV_URL`
  `static String`
  `WEB_URL`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      Constant Field Values

  - ### AUDIO_PROPERTIES

    public static final String AUDIO_PROPERTIES
    See Also:
      Constant Field Values

  - ### CREATED_BY

    public static final String CREATED_BY
    See Also:
      Constant Field Values

  - ### CREATED_TIME

    public static final String CREATED_TIME
    See Also:
      Constant Field Values

  - ### C_TAG

    public static final String C_TAG
    See Also:
      Constant Field Values

  - ### DELETED_PROPERTIES

    public static final String DELETED_PROPERTIES
    See Also:
      Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION
    See Also:
      Constant Field Values

  - ### E_TAG

    public static final String E_TAG
    See Also:
      Constant Field Values

  - ### FILE_PROPERTIES

    public static final String FILE_PROPERTIES
    See Also:
      Constant Field Values

  - ### FILE_SYSTEM_INFO

    public static final String FILE_SYSTEM_INFO
    See Also:
      Constant Field Values

  - ### FOLDER_PROPERTIES

    public static final String FOLDER_PROPERTIES
    See Also:
      Constant Field Values

  - ### IMAGE_PROPERTIES

    public static final String IMAGE_PROPERTIES
    See Also:
      Constant Field Values

  - ### LAST_MODIFIED_BY

    public static final String LAST_MODIFIED_BY
    See Also:
      Constant Field Values

  - ### LAST_MODIFIED_TIME

    public static final String LAST_MODIFIED_TIME
    See Also:
      Constant Field Values

  - ### LOCATION

    public static final String LOCATION
    See Also:
      Constant Field Values

  - ### NAME

    public static final String NAME
    See Also:
      Constant Field Values

  - ### PACKAGE_PROPERTIES

    public static final String PACKAGE_PROPERTIES
    See Also:
      Constant Field Values

  - ### PARENT_REFERENCE

    public static final String PARENT_REFERENCE
    See Also:
      Constant Field Values

  - ### PENDING_OPERATIONS

    public static final String PENDING_OPERATIONS
    See Also:
      Constant Field Values

  - ### PHOTO_PROPERTIES

    public static final String PHOTO_PROPERTIES
    See Also:
      Constant Field Values

  - ### PUBLICATION_PROPERTIES

    public static final String PUBLICATION_PROPERTIES
    See Also:
      Constant Field Values

  - ### REMOTE_ITEM_PROPERTIES

    public static final String REMOTE_ITEM_PROPERTIES
    See Also:
      Constant Field Values

  - ### ROOT_PROPERTIES

    public static final String ROOT_PROPERTIES
    See Also:
      Constant Field Values

  - ### SEARCH_RESULT_PROPERTIES

    public static final String SEARCH_RESULT_PROPERTIES
    See Also:
      Constant Field Values

  - ### SHARED

    public static final String SHARED
    See Also:
      Constant Field Values

  - ### SHARE_POINT_IDS

    public static final String SHARE_POINT_IDS
    See Also:
      Constant Field Values

  - ### SIZE

    public static final String SIZE
    See Also:
      Constant Field Values

  - ### STANDARD_FOLDER

    public static final String STANDARD_FOLDER
    See Also:
      Constant Field Values

  - ### VIDEOPROPERTIES

    public static final String VIDEOPROPERTIES
    See Also:
      Constant Field Values

  - ### WEB_DAV_URL

    public static final String WEB_DAV_URL
    See Also:
      Constant Field Values

  - ### WEB_URL

    public static final String WEB_URL
    See Also:
      Constant Field Values